uses HanGul,HanVar,crt,graph,dos,pcx;
const DELV:word=800;
      DELT:byte=10;
      RUN:boolean=true;
      TIMER:longint=0;
      TIMER2:longint=0;
      SP:string='';

var Keybyte: byte absolute $0040:$0017;
    TickCount:LongInt ABSOLUTE $0040:$006C;
    Regs:registers;
    grdriver, grmode:word;

procedure SetPalette(ORG,R,G,B:byte);
begin
  port[$3C8]:=ORG;
  port[$3C9]:=R;
  port[$3C9]:=G;
  port[$3C9]:=B
end;

procedure VIDEO_DISABLE(off: boolean);
var regs: registers;
begin
regs.ah:= $12;          { BIOS function }
regs.al:= ord(off);     { 0 = on, 1 = off }
regs.bl:= $36;          { Subfunction }
intr($10, regs);        { Call BIOS }
end;

procedure ViewPCX(S:string);
begin    { SHOWVGA }
  S:=S+'.PCX';
video_disable(true);
read_pcx_file(grdriver,S);
setallpalette(pal);                              { Point to registers 0-15 }
video_disable(false);                            { Turn on video }
SetPalette(4,0,0,0)
end;

procedure WriteHan(X,Y:word;DEL:word;S:string;HIDPI:boolean);
begin
  if HIDPI then WriteHangul(X,Y,DEL,S) else WriteHangul(X*8,Y*19,DEL,S)
end;

procedure FreeHan(X,Y:byte;DEL:word;S:string);
begin
  WriteHan(X,Y,DEL,S,false);
  if pos('s',SP)>0 then Shadow(X*8,Y*19,X*8+8*length(S),Y*19+15);
  if pos('b',SP)>0 then Bold(X*8,Y*19,X*8+8*length(S),Y*19+15);
  if pos('o',SP)>0 then Outline(X*8,Y*19,X*8+8*length(S),Y*19+15)
end;

procedure TellHan(X,Y:byte;S:string);
begin
  FreeHan(X,Y,DELT,S);
  delay(DELV)
end;

procedure Clear;
var LOP,COL:integer;
begin
  setcolor(15);
  for LOP:=0 to 24 do
    for COL:=0 to 19 do line(0,LOP+(24*COL),639,LOP+(24*COL));

  setcolor(0);
  for LOP:=0 to 8 do
    for COL:=0 to 49 do line(LOP+(16*COL),0,LOP+(16*COL),479);

  for LOP:=0 to 12 do
    for COL:=0 to 19 do line(0,LOP+(24*COL),639,LOP+(24*COL));

  for LOP:=0 to 8 do
    for COL:=0 to 49 do line((16*COL)-LOP,0,(16*COL)-LOP,479);

  for LOP:=63 downto 0 do begin
    SetPalette(0,LOP,LOP,LOP);
    delay(3)
  end;

  ViewPCX('COMDOL2')
end;

procedure WantInfo;
begin
  H_Color:=11;
  DELV:=0;
  SP:='b';
  FreeHan(1,24,0,'ae  ѡi a.');
  H_Color:=15
end;

procedure Box;
begin
  setcolor(9);
  rectangle(0,0,MAXX,MAXY)
end;

procedure InitView;
begin
  cleardevice;
  ViewPCX('COMDOL2');
  setcolor(9);
  rectangle(0,0,MAXX,MAXY);
  Line(0,50,MAXX,50);
  H_Color:=15;
  SP:='b';
  FreeHan(5,1,0,'e wba  aQ.       b 1993: a(DCS), Ab:ѷ');
  WantInfo;
  DELV:=0;
  H_COLOR:=4;
  SP:='';
  TellHan(36,4,'a ˷!');
  TellHan(60,16,'a ˷!');
  TellHan(12,10,'a ˷!');
  SP:='';
  H_COLOR:=10;
  TellHan(23,9,'(1) a(DCS)e A!');
  TellHan(23,11,'(2) a(DCS) Ae a ia?');
  TellHan(23,13,'(3) e qi (e )');
  TellHan(23,15,'(4)  ׸w (iae a~)');
  H_COLOR:=13;
  TellHan(23,20,'* e  AAa.')
end;

procedure Msg(M:byte);
begin
  Box;
  SP:='';
  case M of
    3:begin
        H_COLOR:=13;
        TellHan(25,6,'(1) ew          (2) ');
        TellHan(25,8,'(3)           (4)  1');
        TellHan(25,10,'(5)  2        (6) HARDWARE ş')
      end;
    5:begin
        TellHan(12,3,'<ew>  A');
        TellHan(12,5,'ae e, 審e A, q aaA!');
        TellHan(12,7,': 73-1249');
        TellHan(12,9,'* e A ba');
        Tellhan(12,10,'ea Good!');
        Tellhan(12,11,'⺗ i aaa');
        Tellhan(12,20,'aᦅ Ӂ eA  i ŵw  ŵwsa ');
        Tellhan(12,21,'aᦅ Ӂ eA e i ea asa');
        Tellhan(12,22,'e ie ge ůa a Aa')
      end;
    6:begin
        TellHan(21,3,'(1) b         (2) AA        (3) ');
        TellHan(21,5,'(4) MRA          (5) ᵁ      (6) w');
        TellHan(21,7,'(7) aa   (8) RCY         (9)  ae...');
        H_COLOR:=15;
        TellHan(21,9,' ae -> , a, D.M.Z.')
      end;
    7:begin
        TellHan(13,2,'ewaa? e Aᦁ aa.');
        TellHan(13,4,'  qe seЁae AA ii x ae ebai');
        TellHan(13,6,'qa ỡ gA aЁ iA ae');
        TellHan(13,8,' qi  з qa.');
        TellHan(13,10,'  a(DCS)e aᦅii eea, e A i ');
        TellHan(13,12,' A ӡ ba sa.');
        TellHan(13,14,'  a(DCS)e eqA iϡaa 墅 A i ñ');
        TellHan(13,16,'a ụ A eA e Bi a');
        TellHan(13,18,'aᦅi awaA a a q AVsa.');
        TellHan(13,20,'  |a e ɕ aa.');
        TellHan(13,22,'  qasa.')
      end;
    8:begin
        TellHan(13,5,' ie Ai Ё, i Ё xbi');
        TellHan(13,7,'a aVae q aa  ia a.')
      end;
    9:begin
        TellHan(13,5,'- e ee AA -');
        TellHan(13,7,'  1981e we. e "AA 15" a ᵱ.');
        TellHan(13,8,' AA  w aqa i waa');
        TellHan(13,9,'q w be i i Ё b.');
        TellHan(13,10,'eɕe 2be .');
        TellHan(13,12,'- 2be e  -   "AA 14"');
        TellHan(13,13,'Tenor1: aS, b');
        TellHan(13,14,'Tenor2: we, a');
        TellHan(13,15,'Bass1 : , 壥w, EA');
        TellHan(13,16,'Bass2 : w҅, we');
        TellHan(13,17,'Piano : bӁ');
        TellHan(13,19,'12 iA iaA ');
        TellHan(13,20,'* : 523-2190 (: aS)');
        TellHan(13,21,'* bӡ i a aq. (aaåq)')
      end;
    10:begin
         TellHan(13,5,'AA Aae i a wa Ё');
         TellHan(13,7,'iE qa. q e ɕi aa.')
       end;
    11:begin
         TellHan(13,5,'- MRA -');
         TellHan(13,7,'  Ӂ MRAe 1938e wA 音A ''e''ae');
         TellHan(13,8,'ai a ɕi a e eAa.');
         TellHan(13,9,'  MRAAe e es qA eae Sing-Outae ');
         TellHan(13,10,'sa.  Sing-Oute  qi A qa ''e''');
         TellHan(13,11,' e  awa e  a.');
         TellHan(13,12,'  Ӂ e MRAe  Sing-Outi  AA eaas');
         TellHan(13,13,'a. ae ӱi aЁ e  aᦅ ge Ŝq');
         TellHan(13,14,'baa.')
       end;
    12:begin  {ᵁ}
         TellHan(13,5,'Ӂ ᵁe  ɷ ҉We 嬗');
         TellHan(13,7,'aA ai ia aa');
         TellHan(13,9,' 姡 i iA Aia e A');
         TellHan(13,11,'i  we áe A');
         TellHan(13,13,'ia.')
       end;
    13:begin
         TellHan(13,5,'aᦅ i aae a AVsa.');
         TellHan(13,7,'aA T.V.A a~')
       end;
    14:begin
         TellHan(13,5,'a? si  aae a!');
         TellHan(13,7,' a sae qwa 廥 I󓡔a.')
       end;
    15:begin
         H_COLOR:=13;
         TellHan(20,6,'(1)            (2) a         (3) D.M.Z.');
         H_COLOR:=12;
         TellHan(20,9,'iᶅ Ŝq A!')
       end;
    16:begin
         TellHan(13,5,'Ӂe aae wA bA bii aa, a waA');
         TellHan(13,7,'i   i Ё i aáVsa.')
       end;
    17:begin
         TellHan(13,5,'e i AA 韡 a aa bi');
         TellHan(13,7,'Aq iaVsa.')
       end;
    19:begin
         SP:='bo';
         TellHan(25,3,'-  -   * Aᦁ Ђ');
         H_COLOR:=14;
         TellHan(25,5,'<w> e⺗: 765-3287');
         TellHan(25,6,'* asA ew Ve, be ews!');
         TellHan(25,7,'* ew baei Aᦁe 1 AAA iea.');
         TellHan(25,8,'* qA i gae a~ ia៥a!');
         TellHan(25,9,'* iw 1 ew A!');
         H_COLOR:=15;
         TellHan(25,11,'<aw>   : 575-1316');
         H_COLOR:=11;
         TellHan(25,12,'<> ww: 424-1570');
         TellHan(25,13,'* 1be ACE');
         TellHan(25,14,'* 币 a!');
         H_COLOR:=15;
         TellHan(25,15,'<> w: 578-6393');
         TellHan(25,16,'<> w: 571-1401');
         TellHan(25,17,'<> ע: 572-8101');
         TellHan(25,18,'<> w: 572-4326 * aaq! aeA.');
         TellHan(25,19,'<> A: 572-5203 * A qaa.')
       end;
    20:begin
         SP:='bo';
         TellHan(25,3,'-  -');
         TellHan(25,5,'<w> ȁe: 862-7726');
         H_COLOR:=14;
         TellHan(25,6,'* ai aae e w!');
         TellHan(25,7,'* ea a e b  Aa!');
         H_COLOR:=15;
         TellHan(25,9,'<aw> bwA: 573-0646');
         H_COLOR:=14;
         TellHan(25,10,'* aii ae e qa! (ia)');
         TellHan(25,11,'* ůae b eb aqa.');
         H_COLOR:=15;
         TellHan(25,13,'<> ȁѡ: 464-6734');
         TellHan(25,15,'<> ҅: 884-5194');
         TellHan(25,17,'<> w҅: 425-2064')
       end;
    21:begin
         SP:='bo';
         TellHan(25,2,'-  1 -');
         TellHan(25,4,'<w> E: 762-0587');
         TellHan(25,5,'<aw> be: 422-2334');
         H_COLOR:=13;
         TellHan(25,7,'<> we: 873-4759');
         TellHan(25,8,'* a銉w!');
         TellHan(25,9,'* ae A ebaq.');
         TellHan(25,10,'* : .q.1 533廡 17ɷ5e.');
         TellHan(25,11,'* AA e ei ᥡa~');
         TellHan(25,12,'* q cA w w!');
         H_COLOR:=15;
         TellHan(25,13,'<> : 517-8331 * eea~a~ iia~');
         H_COLOR:=5;
         TellHan(25,14,'<> : 571-6606');
         TellHan(25,15,'* e i a gea. a wa~');
         H_COLOR:=10;
         SP:='';
         TellHan(25,16,'<> e: 575-5864');
         TellHan(25,17,'* e Aa e aa.');
         TellHan(25,18,'* ១a aa aa ia...');
         H_COLOR:=15;
         SP:='o';
         TellHan(25,20,'<> aw: 577-9203');
         TellHan(25,21,'<> : 578-1050')
       end;
    22:begin
         TellHan(25,2,'-  2 -');
         SP:='bo';
         H_COLOR:=14;
         TellHan(25,4,'<w> we: 72-8517');
         TellHan(25,5,'* AᦁAe ae ba...');
         TellHan(25,6,'* a-a-');
         H_COLOR:=15;
         TellHan(25,8,'<aw> : 432-6073');
         TellHan(25,9,'<> AA҅: 428-5200');
         TellHan(25,10,'<> w宁: 868-2819');
         TellHan(25,11,'<> ѷ: 761-3945 -> Aba');
         TellHan(25,12,'<> ȁ: 434-8911');
         TellHan(25,13,'<> ew: 82-2061')
       end;
    23:begin                           
         SP:='bo';
         TellHan(25,3,'- HARDWARE ş -');
         TellHan(25,5,'׊');
         H_COLOR:=14;
         TellHan(32,5,': (032) 869-1347');
         SP:='';
         TellHan(25,6,'* e A e! *  aq.');
         TellHan(25,7,'* ae 銉we a gQ.');
         TellHan(25,8,'* q b · aq.( e qA..)');
         TellHan(25,9,'* ѡ 012-318-3273');
         SP:='bo';
         H_COLOR:=15;
         TellHan(25,11,'EӁ: 884-2419')
       end;
    25:begin
         Clear;
         Box;
         Msg(7);
         H_COLOR:=11;
         TellHan(1,24,'*  qea asa.');
         delay(5000);
         RUN:=false;
         mem[0:$41A]:=mem[0:$41C]
       end;
    26:begin
         H_COLOR:=15;
         TellHan(20,8,'- ׸w -');
         H_COLOR:=14;
         TellHan(20,10,'(1) i ab з       (2) SX, DX, DX2');
         TellHan(20,12,'(3) 啡a               (4) Aз');
         TellHan(20,14,'(5) ˡ ȁaǷ')
       end;
    27:begin
         H_COLOR:=14;
         TellHan(20,2,'>> we wE abз <<');
         H_COLOR:=15;
         TellHan(20,4,'- Aa -');
         H_COLOR:=10;
         TellHan(20,5,'* i80386DX-40         : 175,000');
         TellHan(20,6,'* i80486DX-33         : 420,000');
         TellHan(20,7,'* i80486DX2-50        : 510,000');
         TellHan(20,8,'* i80486DX2-66        : 635,000');
         H_COLOR:=15;
         TellHan(20,10,'-  -');
         H_COLOR:=10;
         TellHan(20,11,'* q 1MBI      :  43,000');
         TellHan(20,12,'* e 1MBI      :  43,000');
         TellHan(20,13,'* q 1MBI      :  45,000');
         TellHan(20,14,'* q 4MBI      : 200,000');
         H_COLOR:=15;
         TellHan(20,16,'- aaaa -');
         H_COLOR:=10;
         TellHan(20,17,'* q 250MB          : 300,000');
         TellHan(20,18,'* Aa 250MB      : 280,000');
         TellHan(20,19,'* ƥ 170MB          : 250,000');
         TellHan(20,20,'* š 250MB          : 300,000');
         TellHan(20,21,'* a i 250MB : 300,000');
         TellHan(20,22,'* a 250MB        : 300,000')
       end;
    28:begin
         H_COLOR:=15;
         TellHan(15,3,'- SX, DX, DX2 -');
         H_COLOR:=14;
         TellHan(12,5,'  386Ae SX DXae sa.');
         TellHan(12,6,'386 SXe CPUA 32a ១e Aaa A bI');
         TellHan(12,7,'16a a bi a DXe A  wŴ 32a');
         TellHan(12,8,'bi eae aa sa. aa 486 we e aeA,');
         TellHan(12,9,'486Ae SX, DXwŴ A/  32a bsa.');
         TellHan(12,10,'486 SX, DX ae eewáa ea?A sa.');
         TellHan(12,11,'a 486 SXe Αi ɶweae  ͡qA sa.');
         TellHan(12,12,'b 486 DX eewáa bA ge 486 SX aa.');
         TellHan(12,13,'a 486Ae DX2ae  eA 486DXe A/  {e');
         TellHan(12,14,'e 486DX2e AA iᵥ ѡi Ae i 2 w͢');
         TellHan(12,15,'a a ii A bi  21 a.');
         TellHan(12,16,'e Αi ѡŬ a ab xaa DX a ᷁');
         TellHan(12,17,'{a(3% DX2a ự)e w e ei ae wAe');
         TellHan(12,18,'ebe ai a. (486DX-50 486DX2-50a)')
       end;
    29:begin
         H_COLOR:=15;
         TellHan(12,5,'- 啡a -');
         H_COLOR:=10;
         TellHan(12,9,'q 啡ai eee 1985e sa.');
         TellHan(12,10,'we Bⷡaa se wa iůi');
         TellHan(12,11,'i Жsa. 啡aa q A wi');
         TellHan(12,12,'aAEe 2.03evsa. qe 啡a');
         TellHan(12,13,'3.0 3.1 aw g a, |a');
         TellHan(12,14,'啡a 4.0 a a. q 啡a NTae');
         TellHan(12,15,' e, A 8Aa, 200Aa aaaaw e');
         TellHan(12,16,'A A eiAAe i a gsa. ');
         TellHan(12,17,'ei啡a aeeA 3.0, 3.01, 3.1e');
         TellHan(12,18,'sa. a 3.1e 15ai a geaqA');
         TellHan(12,19,'w啡a 3.1aaee sa.');
         TellHan(12,20,'aAA 啡a {e q OS/2ae  sa.')
       end;
    30:begin
         TellHan(15,5,'- aq -');
         TellHan(15,7,' Ё 14i xe aa.');
         TellHan(15,8,'Ӂ aAe ea aAa Eai ɷЁ');
         TellHan(15,9,'Aw  ᡡi  a ei a i  e');
         TellHan(15,10,' aqi ǡ sa.');
         TellHan(15,11,'a iAᕡ ᷁ aA a  aA ei');
         TellHan(15,12,'a i  e  aqi ǡ a.');
         TellHan(15,35,'e a a --')
       end;
    31:begin
         TellHan(10,5,'- D. M. Z. (Dong - San Music Zone)');
         TellHan(10,7,'Ӂ D.M.Z.e abaa a e ge qbi a awae');
         TellHan(10,8,'bi å i aw eⷥ qba bae Rock, aAᕡ');
         TellHan(10,9,'Heavy Metali ea sa.');
         TellHan(10,10,'  a e ei i e be A ge Q ᝡe');
         TellHan(10,11,' a ᶂ iӡ esi aa aᦅiA A ei');
         TellHan(10,12,'aaVsa.');
         TellHan(10,14,'- Q᭡ -');
         TellHan(10,15,'Group I   : bw(Vo). ϩw(Gt). w(Gt). (Ba)');
         TellHan(10,16,'            (Dr). Ae(Kb)');
         TellHan(10,17,'Group II  : w(Vo). w(Gt). Aw(Gt). e(Ba)');
         TellHan(10,18,'            E(Dr)')
       end;
    32:begin
         TellHan(10,5,'- Aзe -');
         H_COLOR:=10;
         TellHan(10,7,'  Aзe awaa ''Aae A I{a.''');
         TellHan(10,8,'ae b ixi  AbЁ e ŉwa.');
         TellHan(10,9,'  ii ''a iAe aa A? ዡ aAɷA');
         TellHan(10,10,'ae gia?'' a ba aa a aai');
         TellHan(10,11,'aAɷA ae a aa aaA Aa.')
       end;
    33:begin
         H_COLOR:=15;
         TellHan(10,16,'- ˡ ȁaǷ -');
         H_COLOR:=12;
         TellHan(10,18,'ˡȁaǷe ''aai A ១ae'' a w');
         TellHan(10,19,'i  sa.');
         TellHan(10,20,'eeaA i iᥡe aA ͡ii aei i aa');
         TellHan(10,21,'啡aAe ͡i aee qbi iaa ɷ i  e');
         TellHan(10,22,'a.')
       end;
     35:begin
          H_COLOR:=15;
          SP:='b';
          TellHan(18,10,'(1) a              (2) a ')
        end;
     34:begin
          TellHan(10,5,'- a  -');
          TellHan(10,7,'ewaAa? a a. i ''a''a  u i');
          TellHan(10,8,'ae i ኅa. ie  sa.');
          TellHan(10,9,'ae e A a ÷a. Ae DCS i iaa');
          TellHan(10,10,'a. DCSe Dong-San Computer System ÷a.');
          TellHan(10,11,'  a(DCS)e 1985eA qa  aai isaa ');
          TellHan(10,12,'qa. U 9eE ae a ŉwA a g');
          TellHan(10,13,'7A 寡i qa a qi  gvsa.');
          TellHan(10,14,'a ŉwA a(a a a) eaaae ii');
          TellHan(10,15,'{a  a .')
        end
  end
end;

function Inkey:char;
var C:char;
    T,TT:byte;
begin
  C:=#255;

  if abs(TIMER2-TickCount)=80 then begin
    for T:=1 to 3 do begin
      for TT:=0 to 63 do begin
        delay(8);
        SetPalette(0,TT,TT,TT)
      end;
      for TT:=63 downto 0 do begin
        delay(5);
        SetPalette(0,TT,TT,TT)
      end
    end;
    SetPalette(0,0,0,0);
    TIMER2:=TickCount
  end;

  if abs(TIMER-TickCount)>=600 then begin
    Msg(25);
    TIMER:=TickCount
  end;

  Keybyte:=Keybyte or 32;

  Regs.AH:=1;
  intr($16,Regs);

  if mem[0:$41A]<>mem[0:$41C] then C:=readkey;
  Inkey:=C
end;

procedure Pause;
begin
  DELV:=0;
  H_COLOR:=11;
  SP:='b';
  FreeHan(1,24,0,'aǡa ae q ea asa.');
  H_COLOR:=15;
  mem[0:$41A]:=mem[0:$41C];
  TIMER:=TickCount;
  TIMER2:=TickCount;
  repeat until (Inkey<>#255) or (not RUN)
end;

function Select:byte;
var C:char;
begin
  TIMER:=TickCount;
  TIMER2:=TickCount;
  mem[0:$41A]:=mem[0:$41C];
  repeat
    C:=Inkey;
    if (C<>#255) or (not RUN) then begin
      Select:=ord(C)-48;
      exit
    end
  until false
end;

function Spc(C:char;B:byte):string;
var S:string;
    T:byte;
begin
  S:='';
  for T:=1 to B do S:=S+C;
  Spc:=S
end;

procedure Info4(C:byte);  { ae...}
begin
  Clear;
  DELV:=800;
  ViewPCX('ALLA');
  H_COLOR:=15;
  case C of
    1:Msg(17);  {}
    2:Msg(30);  {a}
    3:Msg(31)   {D.M.Z.}
  end;
  DELV:=1000;
  Pause
end;

procedure Info3(C:byte);  {qi}
begin
  Clear;
  DELV:=800;
  if C in [1..8] then ViewPCX('ALLA');
  case C of
    1:Msg(8);  {b}
    2:Msg(9);  {sw}
    3:Msg(10); {}
    4:Msg(11); {MRA}
    5:Msg(12); {ᵁ}
    6:Msg(13); {w}
    7:Msg(14); {aa}
    8:Msg(16); {RCY}
    9:begin
        H_COLOR:=10;
        ViewPCX('SUNGC');
        Msg(15); { ae...}
        WantInfo;
        C:=Select;
        if (RUN) and (C in [1..3]) then begin
          Info4(C);
          exit
        end else exit
      end
  end;
  DELV:=1000;
  Pause
end;

procedure Info2(C:byte); {aAe}
begin
  Clear;
  if C=1 then ViewPCX('BUKDU') else ViewPCX('DONG');
  H_COLOR:=15;
  DELV:=800;
  case C of
    1:Msg(5);   {ew}
    2:Msg(19);  {}
    3:Msg(20);  {}
    4:Msg(21);  {1}
    5:Msg(22);  {2}
    6:Msg(23)   {ዡ}
  end;
  DELV:=1000;
  Pause
end;

procedure Info5(C:byte);  {׸w}
begin
  Clear;
  case C of
    1:ViewPCX('CPT');
    2:ViewPCX('COMDOL4');
    3:ViewPCX('WIN');
    4:ViewPCX('COMDOL3');
    5:ViewPCX('MONKEY')
  end;
  DELV:=800;
  case C of
    1:Msg(27);   {abз}
    2:Msg(28);   {SX,DX,DX2}
    3:Msg(29);   {啡a}
    4:Msg(32);   {Aз}
    5:Msg(33)    {ˡȁaǷ}
  end;
  Pause
end;

procedure Info6(C:byte);
var T,P:byte;
begin
  Clear;
  ViewPCX('DUMP0007');
  DELV:=800;
  H_COLOR:=15;
  case C of
    1:Msg(7); {a }
    2:Msg(34) {a }
  end;
  Pause
end;

procedure Info(C:byte);
var T:word;
begin
  Clear;
  DELV:=800;
  case C of
    1:begin   {ae A... }
        Msg(35);
        WantInfo;
        C:=Select;
        if (RUN) and (C in [1..2]) then Info6(C) else exit
      end;
    2:begin   {aAe}
        ViewPCX('COMARI');
        Msg(3);
        WantInfo;
        C:=Select;
        if (RUN) and (C in [1..6]) then Info2(C) else exit
      end;
    3:begin   {qi}
        ViewPCX('EXPO');
        H_COLOR:=4;
        DELV:=0;
        TellHan(36,4,'a ˷!');
        TellHan(60,16,'a ˷!');
        TellHan(19,12,'a ˷!');
        H_COLOR:=10;
        Msg(6);
        WantInfo;
        C:=Select;
        if (RUN) and (C in [1..9]) then Info3(C) else exit
      end;
    4:begin  {׸w}
        ViewPCX('LO');
        H_COLOR:=10;
        Msg(26);
        WantInfo;
        C:=Select;
        if (RUN) and (C in [1..5]) then Info5(C) else exit
    end;
  end
end;

var C:byte;
begin
  VMODE:=vgahi;
  GraphModeInitial;

  repeat
    InitView;
    RUN:=true;
    C:=Select;
    if (C=65) and (KEYBYTE and 16<>0) then begin
      GraphModeClose;
      exit
    end;
    if (C<>255) and (RUN) and (C in [1..4]) then Info(C)
  until false
end.
